import java.io.Serializable;
/**
 * Clasa permite stocarea si manipularea unei plante.
 * @author Antal Tiberiu Alexandru
 * @version 1.0 
 */
public class Planta implements Serializable {
    /** <b>nume</b> este variabila de insanta String 
     * ce stocheaza numele plantei
     */
    private String nume;
    /** <b>cantitate</b> este variabila de insanta String
     * ce stocheaza numele plantei
     */
    private int cantitate;
    /** <b>pret</b> este variabila de insanta String ce
     * stocheaza numele plantei
     */
    private double pret;


    /** Constructorul clasei Planta.
     * @param nume de tip String, numele plantei
     * @param cantitate de tip int, in grame a plantei
     * @param pret de tip double al plantei
     * @return nu intoarce nici 1 valoare
     */
    public Planta(String nume, int cantitate, double pret) {
        this.nume = nume;
        this.cantitate = cantitate;
        this.pret = pret;
    }
    
    public String toString() {
        //return "Planta: " +nume +"\n\tCantitate: " + cantitate + "\n\t"+pret+"\n";
        return nume +" | " + cantitate + " | "+pret;
    }


    public void setNume(String nume) {
        this.nume = nume;
    }

    public String getNume() {
        return nume;
    }

    public void setCantitate(int cantitate) {
        this.cantitate = cantitate;
    }

    public int getCantitate() {
        return cantitate;
    }

    public void setPret(double pret) {
        this.pret = pret;
    }

    public double getPret() {
        return pret;
    }
}
