import java.io.File;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.Vector;

class PlanteV {
    Vector<Planta> v = new Vector<Planta>();
    File f = new File("planteV.dat");

    public PlanteV() {
        if (incarcaPlante()) {
            System.out.println(v.size() + " plante au fost incarcate!");
        }
    }

    public void adaguaPlanta(Planta p) {
        v.addElement(p);
        salvareModificare();
    }
   
    Planta cautaPlanta(String cheie) {
        Iterator <Planta> vItr = v.iterator();    
        while (vItr.hasNext()) {
            Planta p = (Planta)vItr.next();
            if (p.getNume().equals(cheie)) {
                System.out.println("\ncheia:"+cheie + " a fost gasita");
                return p;
            }
        }
        return null;
    }
    
    public void stergePlanta(String nume) { 
        Planta p = cautaPlanta(nume);
        if (p != null) {
            v.removeElement(p);
            salvareModificare();
        }
    }
    
   public boolean salvareModificare() {
        ObjectOutputStream out;

        try {
            out = new ObjectOutputStream(new FileOutputStream(f));
            out.writeObject(v);
            out.close();
            out = null;
            System.gc();

            return true;
        } catch (IOException e) {
            System.out.println(e);
        }
        return false;
    }

    public boolean incarcaPlante() {
        ObjectInputStream in;
        try {
            in = new ObjectInputStream(new FileInputStream(f));
            v = (Vector)in.readObject();
            in.close();
            System.out.println(v.size() + " plante au fost REincarcate.");

            return true;
        } catch (IOException e) {
            System.out.println(e);
        } catch (ClassNotFoundException e) {
            System.out.println(e);
        }
        return false;
    }


    public String toString() {
        String rez = "";

        Enumeration <Planta> vEnum = v.elements();
        while (vEnum.hasMoreElements()) {
            //System.out.println(vEnum.toString() + " ");
            rez += vEnum.nextElement() + "\n";
        }
        return rez;
    }


    public boolean modificaPlanta(String cheie, int c9) {    
        Planta p = cautaPlanta(cheie);
        if (p != null) {
            v.set(v.indexOf(p),new Planta(cheie, p.getCantitate() - c9, p.getPret()));
            salvareModificare();
            return true;
        }
        return false;
    }
}
